org.richfaces.ui.output.progressBar

## Enum ProgressBarState

- java.lang.Object
- - java.lang.Enum<ProgressBarState>
  - - org.richfaces.ui.output.progressBar.ProgressBarState

- All Implemented Interfaces:
    Serializable, Comparable<ProgressBarState>

      public enum ProgressBarState
      extends Enum<ProgressBarState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `finishState`
    `initialState`
    `progressState`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `encodeContent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `abstract void` | `encodeStateForMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, ProgressBarStateEncoder encoder)`
    `abstract String` | `getStateClientId(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `abstract String` | `getStyleClass(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `abstract boolean` | `hasContent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `static ProgressBarState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ProgressBarState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### initialState

          public static final ProgressBarState initialState

    - #### progressState

          public static final ProgressBarState progressState

    - #### finishState

          public static final ProgressBarState finishState

  - ### Method Detail

    - #### values

          public static ProgressBarState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProgressBarState c : ProgressBarState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProgressBarState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getStateClientId

          public abstract String getStateClientId(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component)

    - #### getStyleClass

          public abstract String getStyleClass(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component)

    - #### encodeContent

          public abstract void encodeContent(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                                      throws IOException

      Throws:
        `IOException`

    - #### hasContent

          public abstract boolean hasContent(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)

    - #### encodeStateForMetaComponent

          public abstract void encodeStateForMetaComponent(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component,
                                         ProgressBarStateEncoder encoder)
                                                    throws IOException

      Throws:
        `IOException`

Copyright © 2014 JBoss by Red Hat. All rights reserved.